package utils;

import java.util.HashMap;

import core.Operator;
import operator.crossover.DEOperator;
import operator.crossover.NonGeometricCrossover;
import operator.crossover.SBXCrossover;
import operator.crossover.UniformCrossover;

public class CrossoverSelector {

	public CrossoverSelector() {

	}


	public static Object getCrossover(String str, HashMap param) {
		Operator crossover = null;

		if(str.equalsIgnoreCase("SBX")) {
			crossover = new SBXCrossover(param);
		} else if(str.equalsIgnoreCase("Uniform")) {
			crossover = new UniformCrossover(param);
		} else if(str.equalsIgnoreCase("NGX")) {
			crossover = new NonGeometricCrossover(param);
		} else if(str.equalsIgnoreCase("DE")) {
			crossover = new DEOperator(param);
		} else {
			crossover = null;
		}

		return crossover;
	}

}
